Bug 869876 - sgabios package should be cross-compiled
sgabios package should be cross-compiled
Product: Fedora
Classification: Fedora
Component: sgabios (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-10-24 23:50 EDT by David Gibson
Modified: 2012-11-28 09:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-28 09:59:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Gibson 2012-10-24 23:50:36 EDT
Description of problem:

The sgabios package provides a firmware image for use on x86 qemu target machines, and as such is intended for use on non-x86 machines although it is x86 code.  The sgabios-bin package is correctly marked noarch, however the source package assumes native-x86 compilation of the binaries.

It should instead allow cross-compilation on any host platform, as the seabios and SLOF packages (which also provide qemu guest firmware images) already do.
Comment 1 Paolo Bonzini 2012-10-25 08:58:51 EDT
Shall be fixed shortly in sgabios-0.20110622svn-3.fc18.

Scratch PPC build: http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=763784
Scratch x86 build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4625378
Comment 2 Fedora Update System 2012-10-25 09:09:02 EDT
sgabios-0.20110622svn-3.fc18 has been submitted as an update for Fedora 18.
Comment 3 Fedora Update System 2012-10-26 15:40:54 EDT
Package sgabios-0.20110622svn-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sgabios-0.20110622svn-3.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Cole Robinson 2012-11-28 09:59:38 EST
In stable now

Note You need to log in before you can comment on or make changes to this bug.